# CreateContacts

Create contacts

`POST /companies/{companyId}/contacts`

**API:** Shared Company Service API
**Tag:** Contacts
**API Version:** 1.2
**Base URL:** https://api.avalara.com/scs

Source: https://developer.avalara.com/products/shared-services/api/methods/Contacts/CreateContacts/

## Description

Use this endpoint to create contacts for a specific `companyId`.

## Parameters

| Name | Type | In | Required | Description |
|---|---|---|---|---|
| `companyId` | string | path | Yes | The ID of the company. Run `get /companies` for a list of available company IDs. |
| `X-Avalara-Client` | string | header | No | Identifies the software you are using to call this API.  For more information on the client header, see [Client Headers](https://developer.avalara.com/avatax/client-headers/). |
| `X-Correlation-Id` | string | header | No | Use the X-Correlation-ID header to support request correlation through requests. This header should be present on all requests and responses. |
| `avalara-version` | string | header | No | The HTTP Header meant to specify the version of the API intended to be used |

## Request Body

**Content-Type:** `application/json`

## Responses

| Status | Description | Schema |
|---|---|---|
| 201 | Created |  |
| 400 | Bad Request | `ErrorInfo` |
| 401 | Unauthorized | `ErrorInfo` |
| 403 | Forbidden | `ErrorInfo` |
| 409 | Conflict | `ErrorInfo` |
| 500 | Internal Server Error | `ErrorInfo` |

## Example Request

```bash
curl -X POST "https://api.avalara.com/scs/companies/{companyId}/contacts" \
  -H "Authorization: Basic <credentials>" \
  -H "Accept: application/json" \
  -d '[
  {
    "id": "eea59770-fa51-4951-9165-d06264a1101b",
    "companyId": "045f7e05-7b66-48fc-bf85-f75005eb377f",
    "contactCode": "abccorp",
    "firstName": "Shriyut",
    "middleName": "Gangadhar",
    "lastName": "Tipre",
    "title": "SSE",
    "line1": "ASTP Pune",
    "line2": "Baner",
    "line3": "Baner Pune",
    "city": "Pune",
    "region": "Maharashtra",
    "postalCode": "411045",
    "country": "IN",
    "email": "test@example.com",
    "phone": "9999999999",
    "mobile": "9999999999",
    "fax": "faxofabccorp",
    "meta": {
      "createdBy": "32ec41da-c69f-4db4-9b77-424eab75edae",
      "created": "2023-03-31T13:18:12",
      "modifiedBy": "32ec41da-c69f-4db4-9b77-424eab75edae",
      "lastModified": "2023-03-31T13:18:12",
      "location": "/companies/32ec41da-c69f-4db4-9b77-424eab75edae",
      "version": "1.0"
    }
  }
]'
```